You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

29 lines
1.1 KiB

From fb008ce6656f0efb10b3aba4d3740db302b4e683 Mon Sep 17 00:00:00 2001
From: Lukas Nykryn <lnykryn@redhat.com>
Date: Wed, 7 Jun 2017 15:05:44 +0200
Subject: [PATCH] Revert "systemd/dracut-initqueue.sh: don't go into emergency"
This reverts commit 4c5f1b3b4a3b303b3eb19b0a16122b4fc552e089.
Resolves: #1396865
---
modules.d/98systemd/dracut-initqueue.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/modules.d/98systemd/dracut-initqueue.sh b/modules.d/98systemd/dracut-initqueue.sh
index c12531e2..5822556b 100755
--- a/modules.d/98systemd/dracut-initqueue.sh
+++ b/modules.d/98systemd/dracut-initqueue.sh
@@ -68,7 +68,11 @@ while :; do
main_loop=$(($main_loop+1))
if [ $main_loop -gt $RDRETRY ]; then
- # let systemd go into emergency mode, if it cannot boot
+ if ! [ -f /sysroot/etc/fstab ] || ! [ -e /sysroot/sbin/init ] ; then
+ action_on_fail "Could not boot." && break
+ fi
+ warn "Not all disks have been found."
+ warn "You might want to regenerate your initramfs."
break
fi
done